MediaWiki:Dialogue.css

From Honkai: Nexus Anima Wiki
Revision as of 20:49, 13 July 2026 by Kuhlau (talk | contribs) (page-content to mw-parser-output)
(diff) ← Older revision | Latest revision (diff) | Newer revision → (diff)
Jump to navigation Jump to search

Note: After publishing, you may have to bypass your browser's cache to see the changes.

  • Firefox / Safari: Hold Shift while clicking Reload, or press either Ctrl-F5 or Ctrl-R (⌘-R on a Mac)
  • Google Chrome: Press Ctrl-Shift-R (⌘-Shift-R on a Mac)
  • Edge: Hold Ctrl while clicking Refresh, or press Ctrl-F5.
/* For content between [[Template:Dialogue Start]] and [[Template:Dialogue End]] */
.mw-parser-output .dialogue {
	font-size: 15px;
	line-height: 20px;
}

.mw-parser-output .dialogue.no-indent {
	margin-left: -27px;
}

.mw-parser-output .dialogue.left-line {
	border-left: 2px solid var(--theme-color-7);
	padding-left: 16px;
	display: block;
}

.mw-parser-output .dialogue dl :is(dd, dl dt) {
	padding-left: 16px;
	margin-left: 0;
}

.mw-parser-output .dialogue dl {
	margin-top: 3px;
	margin-bottom: 3px;
	margin-left: 11px;
	border-left: 2px solid var(--theme-color-7);
}

.mw-parser-output .dialogue > dl,
.mw-parser-output .dialogue td > dl, {
	margin-bottom: 10px;
	border-left: none;
}

.mw-parser-output .dialogue dt {
	font-weight: normal;
	font-style: italic;
	font-size: .85em;
}

.mw-parser-output .dialogue dt i {
	font-style: normal;
}

/* [[Template:Black Screen]] */
.mw-parser-output .dialogue .black-screen-text {
	margin-bottom: 13px;
	margin-top: 13px;
}

/* Remove padding from dialogue in tables. */
.mw-parser-output td > div.dialogue > dl {
	margin: 0;
}

.mw-parser-output td > div.dialogue > dl > dd,
.mw-parser-output td > div.dialogue > dl > dt {
	padding-left: 0;
}